<!-- <h2>List of Movies</h2>
<ul class="movies">
  <li *ngFor="let movie of movies"
    [class.selected]="movie === selectedMovie"
    (click)="onSelect(movie)">
    <span class="badge">{{movie.title}}</span> {{movie.year}}
  </li>
</ul>

<div *ngIf="selectedMovie">

  <h3>{{selectedMovie.title | uppercase}} Details</h3>
  <div>
    <label>Title:
      <input [(ngModel)]="selectedMovie.title" placeholder="title"/>
    </label>
  </div>
  <div><span>Year: </span>{{selectedMovie.year}}</div>

</div> -->

<h2>Movies</h2>

<ul class="movies">
  <li *ngFor="let movie of movies"
    [class.selected]="movie === selectedMovie"
    (click)="onSelect(movie)">
    <span class="badge">{{movie.title}}</span> {{movie.year}}
  </li>
</ul>

<app-movie-detail [movie]="selectedMovie"></app-movie-detail>